classification
Title: [DOC] [LaTeX] Sphinx 2.0 uses GNU FreeFont as default for xelatex
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, jfbu, mdk
Priority: normal Keywords:

Created on 2018-12-18 22:34 by jfbu, last changed 2019-03-23 10:47 by mdk. This issue is now closed.

Messages (2)
msg332092 - (view) Author: jfbu (jfbu) * Date: 2018-12-18 22:34
Not sure if any issue at all, but as said in title, starting with Sphinx 2.0 (Spring 2019), XeLaTeX will be configured to use by default GNU FreeFont, (see https://github.com/sphinx-doc/sphinx/blob/master/CHANGES), and this means new dependency (for documentation builds on Ubuntu, package fonts-freefont-otf; for builds on Fedora 29 it is texlive-gnu-freefont).  Indeed currently CPython PDFs are built using ``xelatex``.
msg338616 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-03-22 18:56
Thanks a lot for the heads up jfbu!

Opened a PR here: https://github.com/python/psf-salt/pull/167
History
Date User Action Args
2019-03-23 10:47:04mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-03-22 18:56:53mdksetstage: patch review
2019-03-22 18:56:36mdksetmessages: + msg338616
2019-03-21 19:45:54cheryl.sabellasetnosy: + mdk
2018-12-18 22:34:32jfbucreate